"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.BASE_CONFIG_FILE = exports.IT_ONLY_WORKS_IN_GIT_REPOS = exports.MAKE_A_GITPARTYRC_FILE = exports.ARGV_CONFIG = exports.CHARACTER_LITERALS = exports.DEFAULT_CONFIG = exports.PARTYFILE = exports.DEFAULT_FIELDS = exports.AUTHOR_LENGTH = exports.BANNER_INDENT = exports.BANNER_LENGTH = exports.SUBJECT_LENGTH = exports.TOTAL_COMMITS = undefined;

var _chalk = require("chalk");

var _chalk2 = _interopRequireDefault(_chalk);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var TOTAL_COMMITS = exports.TOTAL_COMMITS = 100;
var SUBJECT_LENGTH = exports.SUBJECT_LENGTH = 50;
var BANNER_LENGTH = exports.BANNER_LENGTH = 120;
var BANNER_INDENT = exports.BANNER_INDENT = 28;
var AUTHOR_LENGTH = exports.AUTHOR_LENGTH = 7;
var DEFAULT_FIELDS = exports.DEFAULT_FIELDS = ["abbrevHash", "subject", "authorName", "authorDate", "authorDateRel"];

var PARTYFILE = exports.PARTYFILE = ".gitpartyrc";

var DEFAULT_CONFIG = exports.DEFAULT_CONFIG = {
  // this is our config
  filterMergeCommits: true,
  collapseAuthors: false,
  authorLength: AUTHOR_LENGTH,
  subjectLength: SUBJECT_LENGTH,
  bannerLength: BANNER_LENGTH,
  bannerIndent: BANNER_INDENT,
  filter: "",
  json: false,
  // below this line are gitlog configuration
  repo: process.cwd(),
  number: TOTAL_COMMITS,
  fields: DEFAULT_FIELDS,
  timezone: "UTC",
  execOptions: { maxBuffer: 1000 * 1024 }
};

var CHARACTER_LITERALS = exports.CHARACTER_LITERALS = {
  BLANK: " ",
  NEWLINE: "\n",
  ASTERISK: "*",
  TILDE: /~$/
};

var ARGV_CONFIG = exports.ARGV_CONFIG = {
  boolean: ["m", "a", "i"],
  number: ["l", "e", "b", "s"],
  alias: {
    a: ["collapseAuthors", "collapse"],
    b: "bannerLength",
    c: "config",
    f: "filter",
    h: "help",
    e: "bannerIndent",
    i: "init",
    j: "json",
    l: "authorLength",
    m: "filterMergeCommits",
    o: "output",
    s: "subjectLength",
    t: "timezone",
    repo: "r",
    number: ["n", "totalCommits"]
  }
};

var MAKE_A_GITPARTYRC_FILE = exports.MAKE_A_GITPARTYRC_FILE = ["Unable to find a " + PARTYFILE + " config file in this folder.", "Did you mean to create one with `" + _chalk2.default.yellow("gitparty --init") + "`?"].join(" ");

// eslint-disable-next-line max-len
var IT_ONLY_WORKS_IN_GIT_REPOS = exports.IT_ONLY_WORKS_IN_GIT_REPOS = "gitparty only works in git repositories! Did you mean to `" + _chalk2.default.yellow("git init") + "` first?";

var BASE_CONFIG_FILE = exports.BASE_CONFIG_FILE = "gitpartyrc:\n  key: G\n  color: bgRed\n  matches:\n  - \\**" + PARTYFILE + "\ncollapseAuthors: false\ntimezone: utc\n";