"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.printLegend = exports.printBlocks = undefined;

var _slicedToArray = function () { function sliceIterator(arr, i) { var _arr = []; var _n = true; var _d = false; var _e = undefined; try { for (var _i = arr[Symbol.iterator](), _s; !(_n = (_s = _i.next()).done); _n = true) { _arr.push(_s.value); if (i && _arr.length === i) break; } } catch (err) { _d = true; _e = err; } finally { try { if (!_n && _i["return"]) _i["return"](); } finally { if (_d) throw _e; } } return _arr; } return function (arr, i) { if (Array.isArray(arr)) { return arr; } else if (Symbol.iterator in Object(arr)) { return sliceIterator(arr, i); } else { throw new TypeError("Invalid attempt to destructure non-iterable instance"); } }; }();

var _fUtility = require("f-utility");

var _chalk = require("chalk");

var _chalk2 = _interopRequireDefault(_chalk);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/**
@method printBlocks
@param {Object} analysis - an analysis object
@returns {string} a printed and colored string of analysis blocks
*/
var printBlocks = exports.printBlocks = (0, _fUtility.pipe)(_fUtility.toPairs, (0, _fUtility.map)(function (_ref) {
  var _ref2 = _slicedToArray(_ref, 2),
      key = _ref2[0],
      value = _ref2[1];

  return _chalk2.default.black(value.fn(" " + value.key + " ")) + " = " + key;
}), (0, _fUtility.join)(" "));

/**
@method printLegend
@param {Object} lookup - the legend object
@return {string} the lookup as a printed and colored string
*/
var printLegend = exports.printLegend = function printLegend(lookup) {
  return "LEGEND: " + printBlocks(lookup) + "\n";
};